알림 핸들러
GET https://aka.so/api/notification-handlers/
curl --request GET \
--url 'https://aka.so/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://aka.so/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
| 매개변수 | 세부 정보 | 설명 |
|---|---|---|
| search | 선택 String | 검색 문자열입니다. |
| search_by | 선택 String | 검색할 필드입니다. 허용 값: name. |
| is_enabled | 선택 Boolean | |
| type | 선택 String | 검색할 필드입니다. 허용 값: email, webhook, slack, discord, telegram, microsoft_teams, ntfy. |
| datetime_field | 선택 String | 허용 값: datetime, last_datetime |
| datetime_start | 선택 String | 이 일시부터 결과를 필터링합니다. Y-m-d H:i:s 형식. |
| datetime_end | 선택 String | 이 일시까지 결과를 필터링합니다. Y-m-d H:i:s 형식. |
| order_by | 선택 String | 결과를 정렬할 필드입니다. 허용 값: notification_handler_id, datetime, last_datetime, name. |
| order_type | 선택 String | 결과 정렬 방식입니다. 허용 값: 오름차순은 ASC, 내림차순은 DESC. |
| search | 선택 String | 검색 문자열입니다. |
| search_by | 선택 String | 검색할 필드입니다. 허용 값: name. |
| is_enabled | 선택 Boolean | |
| type | 선택 String | 검색할 필드입니다. 허용 값: email, webhook, slack, discord, telegram, microsoft_teams, ntfy. |
| datetime_field | 선택 String | 허용 값: datetime, last_datetime |
| datetime_start | 선택 String | 이 일시부터 결과를 필터링합니다. Y-m-d H:i:s 형식. |
| datetime_end | 선택 String | 이 일시까지 결과를 필터링합니다. Y-m-d H:i:s 형식. |
| order_by | 선택 String | 결과를 정렬할 필드입니다. 허용 값: notification_handler_id, datetime, last_datetime, name. |
| order_type | 선택 String | 결과 정렬 방식입니다. 허용 값: 오름차순은 ASC, 내림차순은 DESC. |
| page | 선택 Integer | 결과를 받고 싶은 페이지 번호입니다. 기본값은 1입니다. |
| results_per_page | 선택 Integer | 페이지당 원하는 결과 수입니다. 허용 값: 10, 25, 50, 100, 250, 500, 1000. 기본값은 25입니다. |
{
"data": [
{
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "hey@example.com"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-09-02 22:02:53",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://aka.so/api/notification-handlers?page=1",
"last": "https://aka.so/api/notification-handlers?page=1",
"next": null,
"prev": null,
"self": "https://aka.so/api/notification-handlers?page=1"
}
}
GET https://aka.so/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://aka.so/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://aka.so/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "hey@example.com"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-09-02 22:02:53",
}
}
POST https://aka.so/api/notification-handlers
| 매개변수 | 세부 정보 | 설명 |
|---|---|---|
| name | 필수 String | - |
| type | 필수 String | 허용 값: email, webhook, slack, discord, telegram, microsoft_teams, ntfy |
| 선택 String | 사용 가능 조건: type = email 이메일 | |
| webhook | 선택 String | 사용 가능 조건: type = webhook 웹훅 URL |
| slack | 선택 String | 사용 가능 조건: type = slack Slack 웹훅 URL |
| discord | 선택 String | 사용 가능 조건: type = discord Discord 웹훅 URL |
| telegram | 선택 String | 사용 가능 조건: type = telegram Telegram API 토큰 |
| telegram_chat_id | 선택 String | 사용 가능 조건: type = telegram Telegram 채팅 ID |
| microsoft_teams | 선택 String | 사용 가능 조건: type = microsoft_teams Microsoft Teams 웹훅 URL |
| ntfy | 선택 String | 사용 가능 조건: type = ntfy ntfy 토픽 URL |
curl --request POST \
--url 'https://aka.so/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
--url 'https://aka.so/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
{
"data": {
"id": 1
}
}
POST https://aka.so/api/notification-handlers/{notification_handler_id}
| 매개변수 | 세부 정보 | 설명 |
|---|---|---|
| name | 선택 String | - |
| type | 선택 String | 허용 값: email, webhook, slack, discord, telegram, microsoft_teams, ntfy |
| 선택 String | 사용 가능 조건: type = email 이메일 | |
| webhook | 선택 String | 사용 가능 조건: type = webhook 웹훅 URL |
| slack | 선택 String | 사용 가능 조건: type = slack Slack 웹훅 URL |
| discord | 선택 String | 사용 가능 조건: type = discord Discord 웹훅 URL |
| telegram | 선택 String | 사용 가능 조건: type = telegram Telegram API 토큰 |
| telegram_chat_id | 선택 String | 사용 가능 조건: type = telegram Telegram 채팅 ID |
| microsoft_teams | 선택 String | 사용 가능 조건: type = microsoft_teams Microsoft Teams 웹훅 URL |
| ntfy | 선택 String | 사용 가능 조건: type = ntfy ntfy 토픽 URL |
| is_enabled | 선택 Boolean | - |
curl --request POST \
--url 'https://aka.so/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
--url 'https://aka.so/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
"data": {
"id": 1
}
}
DELETE https://aka.so/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://aka.so/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://aka.so/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \